List plan entitlements
curl --request GET \
--url https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/features/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/features/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/features/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"next": null,
"previous": null,
"results": [
{
"feature": {
"id": "3a3e92ab-90a3-4f43-8e87-9d4c8c5a9c01",
"identifier": "api-calls",
"name": "API Calls",
"description": "Number of API calls per billing cycle.",
"featureType": "METER",
"featureDetails": {
"featureSubType": "PRE_AGGREGATED_USAGE",
"units": {
"singular": "call",
"plural": "calls"
}
},
"meter": {},
"details": {},
"metadata": {
"category": "core"
},
"isArchived": false,
"modifiedOn": "2025-04-12T08:21:14.910Z"
},
"details": {
"value": 10000,
"hasUnlimitedUsage": false,
"reset": "EVERY_MONTH",
"resetTime": "BEGINNING_OF_PERIOD",
"rollover": {},
"usageAlerts": {
"enabled": true,
"thresholds": [
75,
90
],
"thresholdType": "PERCENTAGE"
},
"hardLimit": false,
"isInherited": false,
"isValueOverridden": false
}
}
]
}Plan Entitlements
List plan entitlements
Returns the feature entitlements (with per-entitlement details) configured on the plan.
GET
/
catalog
/
plans
/
{identifier}
/
features
/
List plan entitlements
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Path Parameters
Plan identifier.
Query Parameters
Plan version to scope the listing to (GET only).